package com.ozs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.entity.MsgAlarm;
import com.ozs.entity.MsgWebPush;
import com.ozs.entity.vo.MsgAlarmVo;

import java.util.List;
import java.util.Map;

/**
 * @Author : sunhh
 * @create 2023/3/15 14:33
 */
public interface MsgWebPushService extends IService<MsgWebPush> {
    int read(MsgWebPush msgWebPush);

    Map webAlarm(String userId);

    IPage<MsgAlarm> messageMore(MsgAlarmVo msgAlarmVo);

    Map<String, Integer> messageMoreNum(String userId);

    int readAll(String userId);

    List<MsgWebPush> getByUserId(String userId);
}
